Skip to main content
`Ctrl`+`K`

# DMPlexPermute

Reorder the mesh according to the input permutation

## Synopsis

    #include "petscdmplex.h"
    #include "petscmat.h"
    PetscErrorCode DMPlexPermute(DM dm, IS perm, DM *pdm)

Collective

## Input Parameters

- dm - The `DMPLEX` object

- perm - The point permutation, `perm`[old point number] = new point number

## Output Parameter

- pdm - The permuted `DM`

## See Also

`DMPLEX`, `MatPermute()`

## Level

intermediate

## Location

src/dm/impls/plex/plexreorder.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages